Jifty::View::Declare::BaseClass(3)

NAME
Jifty::View::Declare::BaseClass - Base class for Template::Declare views

DESCRIPTION
This class provides a base class for your Template::Declare derived view classes.

METHODS

  use_mason_wrapper
Call this function in your view class to use your mason wrapper for Template::Declare templates, something like:

    package TestApp::View;
    use Jifty::View::Declare -base;
    __PACKAGE__->use_mason_wrapper;

If you don't use mason then you can define a "wrapper" function in the view class to override default page layouts. Default TD wrapper defined in Jifty::View::Declare::Helpers.

ATTRIBUTES
clkao owes documentation as to the meaning of this and when it would be acceptable to use it.

  Static
TODO Document this...

This is part of the client-caching system being developed for Perl to allow you to translate templates into JavaScript running on the client.

This function allows a developer to mark a Template::Declare template as static (unchanging), so that the compiled version can be cached on the client side and inserted with javascript.

  Action
TODO Document this...

This is part of the client-caching system being developed for Perl to allow you to translate templates into JavaScript running on the client.

This function allows a developer to mark a Template::Declare template as an action.

SEE ALSO
Jifty::View::Declare, Template::Declare, Jifty::View::Declare::Helpers

LICENSE
Jifty is Copyright 2005-2010 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.